Support » Themes and Templates » WP Theme: Tarski 1.3

  • Tarski 1.3 is now available for download. A number of changes in this version, and we’re now requiring WordPress 2.1+ (with a legacy version, 1.2.5 also available).

    Enjoy!

  • The topic ‘WP Theme: Tarski 1.3’ is closed to new replies.